Subject: bug#27425: closed (Re: bug#27418: `guix pull` gets stuck at "updating substitutes from 'https://mirror.hydra.gnu.org'... 100.0%")

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 21 Jun 2017 18:57:02 +0000

Your bug report

#27418: substitute queries never finish

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
27418: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=27418
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#27418: `guix pull` gets stuck at "updating substitutes from 'https://mirror.hydra.gnu.org'... 100.0%"
From: Ricardo Wurmus <[email-masked]>
To: Mekeor Melire <[email-masked]>
Cc: Ludovic Courtès <[email-masked]>, [email-masked]
Date: Wed, 21 Jun 2017 20:56:42 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Mekeor Melire <[email-masked]> writes:

> Ludovic Courtès <[email-masked]> writes:
>> Ricardo Wurmus <[email-masked]> skribis:
>>> Mekeor Melire <[email-masked]> writes:
>>>
>>> I’m not sure but it may have been caused by a hung “guix publish”
>>> process.
>>
>> Indeed, yesterday I realized ‘guix publish’ on hydra.gnu.org was stuck
>> for unknown reasons, meaning that it would not reply to HTTP requests
>> nor would it “bake” archives.  That’s likely the root cause.
>
> Yes, this issue no longer appears for me. Thank y'all. Could you close
> the bug?

I’m closing this by sending email to [email-masked].
Thanks!

-- 
Ricardo

GPG: BCA6 89B6 3655 3801 C3C6  2150 197A 5888 235F ACAC
https://elephly.net

Subject: substitute queries never finish
From: Joshua Sierles <[email-masked]>
To: [email-masked]
Date: Mon, 19 Jun 2017 10:58:07 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Since a couple days ago, many attempts to run 'guix package' or 'guix
pack' lead to:

substitute: updating list of substitutes from
'https://mirror.hydra.gnu.org'... 100.0%
substitute: updating list of substitutes from
'https://mirror.hydra.gnu.org'... 100.0%
updating list of substitutes from 'https://mirror.hydra.gnu.org'...
100.0%g'...   0.0%

This fetching stops after a few lines and never finishes, even after
leaving it running for a day.

Command:  guix package -i r-minimal

I've attached a trace of the substitute processes.

-- 
  Joshua Sierles
  [email-masked]